import {
    world, system
} from '@minecraft/server';

function tick() {
    try {
        for (let player of world.getAllPlayers()) {
            let item = player.getComponent('inventory').container.getItem(player.selectedSlot);
            if (!item || !item.typeId.startsWith('radar:')) continue;
            
            if (player.currentRotation != Math.round(player.getRotation().y))
                player.runCommandAsync(`playanimation @s animation.radar_compass.rot_${Math.round(player.getRotation().y)}`);
            player.currentRotation = Math.round(player.getRotation().y);
        }
        system.runTimeout(tick, 1);
    } catch (err) {
        world.sendMessage(`There seems to be an error:\n${err}`);
    }
};
tick();

system.events.beforeWatchdogTerminate.subscribe(e => e.cancel = true);